Bug 14482 - compilation of heimdal tree fails if libbsd is not installed
Summary: compilation of heimdal tree fails if libbsd is not installed
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build (show other bugs)
Version: 4.13.0.rc1
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Karolin Seeger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-08 10:47 UTC by Björn Jacke
Modified: 2020-09-18 08:34 UTC (History)
3 users (show)

See Also:


Attachments
Patch for v4-13-test (2.34 KB, patch)
2020-09-09 12:10 UTC, Stefan Metzmacher
bjacke: review+
ab: review+
Details
Patch for v4-12-test (2.34 KB, patch)
2020-09-09 12:10 UTC, Stefan Metzmacher
bjacke: review+
ab: review+
Details
Patch for v4-11-test (2.34 KB, patch)
2020-09-09 12:11 UTC, Stefan Metzmacher
bjacke: review+
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2020-09-08 10:47:20 UTC
using gcc version 9.3.0 on Linux without libbsd-dev installed failes like:

[415/432] Compiling lib/replace/closefrom.c
../../lib/replace/closefrom.c:128:5: error: no previous prototype for ‘rep_closefrom’ [-Werror=missing-prototypes]
  128 | int rep_closefrom(int lower)
      |     ^~~~~~~~~~~~~
cc1: all warnings being treated as errors

the reason is commit f31333d40e6fa38daa32a3ebb32d5a317c06fc62

There's a patch from metze coming ...
Comment 1 Björn Jacke 2020-09-08 10:51:29 UTC
PS: the developer build with -Werror flags is affected
Comment 2 Samba QA Contact 2020-09-08 14:00:14 UTC
This bug was referenced in samba master:

0022cd94587b805a525b0b9ef71ff0f15780424a
Comment 3 Stefan Metzmacher 2020-09-09 12:10:06 UTC
Created attachment 16213 [details]
Patch for v4-13-test
Comment 4 Stefan Metzmacher 2020-09-09 12:10:56 UTC
Created attachment 16214 [details]
Patch for v4-12-test
Comment 5 Stefan Metzmacher 2020-09-09 12:11:28 UTC
Created attachment 16215 [details]
Patch for v4-11-test
Comment 6 Alexander Bokovoy 2020-09-09 12:26:31 UTC
The backports are looking good to me. Thank you, Metze!
Comment 7 Karolin Seeger 2020-09-09 12:56:47 UTC
Pushed to autobuild-v4-{13,12,11}-test.
Comment 8 Samba QA Contact 2020-09-09 14:17:05 UTC
This bug was referenced in samba v4-12-test:

2207bc89005b3af799b8179fa6adbb038d8c162a
Comment 9 Samba QA Contact 2020-09-10 07:25:09 UTC
This bug was referenced in samba v4-11-test:

17800f413bc494d74d326518bca87b0972d23c0c
Comment 10 Samba QA Contact 2020-09-10 09:43:11 UTC
This bug was referenced in samba v4-13-test:

88a31703a2d28d5f61e334153ef10920fac63e96
Comment 11 Samba QA Contact 2020-09-18 08:34:42 UTC
This bug was referenced in samba v4-13-stable:

88a31703a2d28d5f61e334153ef10920fac63e96